Bug 323001 - Restarting clvmd doesn't get LV locks
Restarting clvmd doesn't get LV locks
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lvm2-cluster (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Christine Caulfield
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-08 06:58 EDT by Christine Caulfield
Modified: 2009-07-15 04:28 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 04:28:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christine Caulfield 2007-10-08 06:58:27 EDT
Description of problem:
if 

log { command_names = 1 }

is set in lvm.conf then clvmd does not re-get the LV locks if it is killed and
restarted.

Version-Release number of selected component (if applicable):
probably all versions of clvmd

How reproducible:
Every time

Steps to Reproduce:
1. in a running cluster, activate some LVs
2. check in /proc/cluster/dlm_locks that the locks are there
3. kill clvmd
4. set log {command_names=1} in /etc/lvm/lvm.conf
5. restart clvmd
6. check /proc/cluster/dlm_locks again

Actual results:
No locks will be shown in the /proc file, the LV locks have not been acquired.

Expected results:
clvmd should get the LV locks regardless of config file settings.


Additional info:

This is down to clvmd using the command:

lvm lvs --nolocking --noheadings -o vg_uuid,lv_uuid,lv_attr,vg_attr 

and parsing the results to get the active LVs. If the output format is changed
in any way then the parsing fails and the locks are not acquired.

I tried adding --config overrides for the logging options but they do not work
for all options (command_name in particular, but there are others), so this
needs fixing in lvm itself before it's worth adding any overrides to clvmd.
Comment 1 Milan Broz 2008-04-07 09:57:56 EDT
I just checked in patch which fixes using
--config 'log { command_names = 0 }'

So clvmd can use it now.
Comment 2 Christine Caulfield 2008-04-08 09:03:58 EDT
Thanks:

Checking in daemons/clvmd/lvm-functions.c;
/cvs/lvm2/LVM2/daemons/clvmd/lvm-functions.c,v  <--  lvm-functions.c
new revision: 1.39; previous revision: 1.38
done
Comment 3 Bug Zapper 2008-05-13 23:20:29 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-06-09 18:55:14 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-15 04:28:06 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.